La clave de firma pública que Google emite para firmar y autenticar paquetes distribuidos a través de tus repositorios de Linux ha cambiado, lo que resulta en que los usuarios, tal vez usted mismo, vean varios errores lanzados por el gestor de paquetes.

Si has ejecutado una actualización de apt desde el 4 de agosto, puede que tengas este error:

 

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: dl.google.com/linux/chrome/d… stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 6494C6D6997C215E

W: Failed to fetch dl.google.com/linux/chrome/d… The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 6494C6D6997C215E

W: Some index files failed to download. They have been ignored, or old ones used instead.

 

Google firma sus paquetes con las claves GPG para que tú (y tu administrador de paquetes) puedan “verificar las actualizaciones del producto”. Cuando un GPG expira, cambia, o de lo contrario falta en tu sistema, tu gestor de paquetes mostrará un error, que es precisamente lo que aparece arriba.

La buena noticia es que es fácil arreglar el error de la clave de Google GPG en Ubuntu: solo abre una nueva ventana de Terminal y ejecuta:

wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

Se te pedirá que ingreses su contraseña y luego, bueno, eso es todo. No más errores “no se pudo obtener” en Ubuntu cuando se ejecuta una actualización apt.

Fuente

(Visitada 1 veces, 1 visitas hoy )